Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1892329

Summary: Video artifacts (tearing) on Jetson Nano
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: mesaAssignee: Karol Herbst <kherbst>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: ajax, bskeggs, caillon+fedoraproject, jglisse, kherbst, lyude, pbrobinson, pwhalen, rclark, rhughes, rstrode, thunderbirdtr, tstellar
Target Milestone: ---   
Target Release: ---   
Hardware: aarch64   
OS: Linux   
Whiteboard:
Fixed In Version: 5.14.0-0.rc1.16.fc35.aarch64 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-13 15:16:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 245418    
Attachments:
Description Flags
Flicker/tearing
none
Flicker and tearing and lockup when the screensaver activates none

Description Jared Smith 2020-10-28 13:57:04 UTC
Description of problem:

I have a Jetson Nano, with Fedora 33 installed.  When I move windows in Gnome desktop, or go to the Activities corner, I see strange video artifacts (which to me, look like tearing).  As the screensaver starts to kick in, there's a tremendous amount of flickering and tearing, and then the screen goes blank.  If I move the mouse, the lock screen appears, but moving the mouse or pressing keys on the keyboard have no effect.

Version-Release number of selected component (if applicable):
20.2.1-2


How reproducible:
Very


Steps to Reproduce:
1. Install F33 Aarch64 image to a microsd card using fedora-arm-image-installer
2. Mount the SD card's boot paritition and fix the "dtb" symlink
3. Boot from the microsd card
4. Go through the initial user setup in Gnome
5. Start using the system

Actual results:
Video artifacts/tearing, and video stops working correctly after the screensaver kicks in.  System is still accessible via SSH.

Expected results:
No tearing, and no lock-up when the screensaver kicks in.

Additional info:
I'll attach some video recordings to help explain.

Comment 1 Jared Smith 2020-10-28 13:58:46 UTC
Created attachment 1724832 [details]
Flicker/tearing

Here's a video recording showing the flickering and tearing.

Comment 2 Jared Smith 2020-10-28 14:09:54 UTC
Created attachment 1724835 [details]
Flicker and tearing and lockup when the screensaver activates

This is the flickering and tearing and lockup when the screensaver activates.  Note that moving the mouse or pressing keys on the keyboard after the screen has gone blank brings up the lock screen, but the mouse cursor doesn't move and pressing keys on the keyboard doesn't bring up the password prompt on the lock screen.

Comment 3 Karol Herbst 2020-10-28 18:35:01 UTC
taking the bug. This is a known issue and is probably related with how tegradrmfb and nouveau sync on completed jobs. Thierry Redding from Nvidia has a potential fix for it, but with i915 + nouveau this also just seems to work.

Comment 4 Peter Robinson 2021-06-12 15:34:45 UTC
This should be fixed when this patch set lands upstream: https://www.spinics.net/lists/linux-tegra/msg58999.html

Comment 5 Peter Robinson 2021-07-13 19:03:57 UTC
This is fixed in 5.14.0-0.rc1.16.fc35.aarch64

Comment 6 Paul Whalen 2021-07-13 19:38:39 UTC
Verified no more tearing when testing today's nightly Workstation disk image (Fedora-Rawhide-20210713.n.0).

Comment 7 Ben Cotton 2021-11-04 13:50:44 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2021-11-04 14:20:09 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2021-11-04 15:17:53 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2022-11-29 16:49:58 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 11 Ben Cotton 2022-12-13 15:16:04 UTC
Fedora Linux 35 entered end-of-life (EOL) status on 2022-12-13.

Fedora Linux 35 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.